Subject: Re: Keyword attributes

From: James Kempf <[email-masked]>
Date: Fri, 7 Jul 2000 10:53:17 -0700 (PDT)

>>  Additionally: p11 of RFC 2608 states that opaque values MUST start with a
>> "\FF". Is this being upheld? If so, I suggest that the SLPEscapeOpaque
>> functionality be responsible for prepending the "\FF".
>

Yes, an SLPEscapeOpaque() function should have the signature:

	SLPError SLPEscapeOpaque(char* in,unsigned int len,char** out);
	
The in parameter contains the bytes that are to be escaped, the out
parameter contains a null terminated string containing the escaped
bytes (allocated to free with SLPFree()). The len parameter contains
the number of bytes in in.

		jak